KIO::PasswordDialog Class Reference

`#include <passdlg.h>`

Inherits KDialogBase.

## Public Member Functions

| PasswordDialog (const QString &prompt, const QString &user, bool enableKeep=false, bool modal=true, QWidget *parent=0, const char *name=0)
| ~PasswordDialog ()
void | setPrompt (const QString &prompt)
void | addCommentLine (const QString &label, const QString comment)
QString | password () const
QString | username () const
bool | keepPassword () const
void | setKeepPassword (bool b)
void | setUserReadOnly (bool readOnly)
KDE_DEPRECATED void | setEnableUserField (bool enable, bool=false)
void | setPassword (const QString &password)
void | setKnownLogins (const QMap< QString, QString > &knownLogins)

## Static Public Member Functions

static int | getNameAndPassword (QString &user, QString &pass, bool *keep, const QString &prompt=QString::null, bool readOnly=false, const QString &caption=QString::null, const QString &comment=QString::null, const QString &label=QString::null)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

A dialog for requesting a login and a password from the end user.

KIO-Slave authors are encouraged to use SlaveBase::openPassDlg instead of directly instantiating this dialog. dialog for requesting login and password from the end user

Definition at line 36 of file passdlg.h.

## Constructor & Destructor Documentation

PasswordDialog::PasswordDialog | ( | const QString & | prompt,
|  | const QString & | user,
|  | bool | enableKeep = `false`,
|  | bool | modal = `true`,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |  |

Create a password dialog.

Parameters

  prompt | instructional text to be shown.
  user | username, if known initially.
  enableKeep | if true, shows checkbox that makes password persistent until KDE is shutdown.
  modal | if true, the dialog will be modal (default:true).
  parent | the parent widget (default:NULL).
  name | the dialog name (default:NULL).

Definition at line 54 of file passdlg.cpp.

PasswordDialog::~PasswordDialog | ( |  | ) |

Destructor.

Definition at line 62 of file passdlg.cpp.

## Member Function Documentation

void PasswordDialog::addCommentLine | ( | const QString & | label,
|  | const QString | comment
| ) |  |

Adds a comment line to the dialog.

This function allows you to add one additional comment line to this widget. Calling this function after a comment has already been added will not have any effect.

Parameters

  label | label for comment (ex:"Command:")
  comment | the actual comment text.

Definition at line 233 of file passdlg.cpp.

int PasswordDialog::getNameAndPassword | ( | QString & | user,
|  | QString & | pass,
|  | bool * | keep,
|  | const QString & | prompt = `QString::null`,
|  | bool | readOnly = `false`,
|  | const QString & | caption = `QString::null`,
|  | const QString & | comment = `QString::null`,
|  | const QString & | label = `QString::null`
| ) |  |

static

A convienence static method for obtaining authorization information from the end user.

Parameters

  user | username
  pass | password
  keep | pointer to flag that indicates whether to keep password (can be null)
  prompt | text to display to user.
  readOnly | make the username field read-only.
  caption | set the title bar to given text.
  comment | extra comment to display to user.
  label | optinal label for extra comment.

Returns
  Accepted/Rejected based on the user choice.

Definition at line 330 of file passdlg.cpp.

bool PasswordDialog::keepPassword | ( |  | ) | const

Determines whether supplied authorization should persist even after the application has been closed.

Returns
  true to keep the password

Definition at line 187 of file passdlg.cpp.

QString PasswordDialog::password | ( |  | ) | const

Returns the password entered by the user.

Returns
  the password

Definition at line 176 of file passdlg.cpp.

KDE_DEPRECATED void KIO::PasswordDialog::setEnableUserField | ( | bool | enable,
|  | bool | = `false`
| ) |  |

inline

Deprecated:
  . Use setUserReadOnly(bool).

Definition at line 116 of file passdlg.h.

void PasswordDialog::setKeepPassword | ( | bool | b | ) |

Check or uncheck the "keep password" checkbox.

This can be used to check it before showing the dialog, to tell the user that the password is stored already (e.g. in the wallet). enableKeep must have been set to true in the constructor.

Definition at line 181 of file passdlg.cpp.

void PasswordDialog::setKnownLogins | ( | const QMap< QString, QString > & | knownLogins | ) |

Presets a number of login+password pairs that the user can choose from.

The passwords can be empty if you simply want to offer usernames to choose from. This is incompatible with setUserReadOnly(true).

Parameters

  knownLogins | map of known logins: the keys are usernames, the values are passwords.

Since
  3.4

Definition at line 291 of file passdlg.cpp.

void PasswordDialog::setPassword | ( | const QString & | password | ) |

Presets the password.

Parameters

  password | the password to set

Since
  3.1

Definition at line 279 of file passdlg.cpp.

void PasswordDialog::setPrompt | ( | const QString & | prompt | ) |

Sets the prompt to show to the user.

Parameters

  prompt | instructional text to be shown.

Definition at line 272 of file passdlg.cpp.

void PasswordDialog::setUserReadOnly | ( | bool | readOnly | ) |

Sets the username field read-only and sets the focus to the password field.

Parameters

  readOnly | true to set the user field to read-only

Definition at line 284 of file passdlg.cpp.

QString PasswordDialog::username | ( |  | ) | const

Returns the username entered by the user.

Returns
  the user name

Definition at line 171 of file passdlg.cpp.

The documentation for this class was generated from the following files:

- passdlg.h
- passdlg.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys